AcquisityDeveloper Docs
Workspace & platformWorkspaces

List accessible workspaces

GET
/v1/workspaces

Authorization

bearerAuth
AuthorizationBearer <token>

Paste the full personal access token or organization API key value. Examples: acq_live_..., acq_org_.... Tokens can be limited to resource/action scopes such as workspaces:read, people:write, and deals:write. Some integration endpoints require an organization key even when a personal token has the named resource scope.

In: header

Query Parameters

limit?integer

Maximum number of workspaces to return. Defaults to 50. Minimum 1, maximum 100.

Range1 <= value <= 100
Default50
cursor?string

Opaque pagination cursor from meta.pagination.nextCursor. Omit for the first page and pass back unchanged for the next page.

Lengthlength <= 512

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "slug": "string",      "logoUrl": "http://example.com",      "role": "owner",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "links": {        "self": "http://example.com"      }    }  ],  "links": {    "self": "http://example.com",    "next": "http://example.com"  },  "meta": {    "pagination": {      "nextCursor": "string",      "hasMore": true,      "limit": 1    }  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}